unit U_CreateRaiseQuery;

interface

uses
  Windows, U_LNG, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, U_BaseCommon, cxControls, cxContainer, cxEdit, cxLabel,
  ExtCtrls, RzPanel, cxLookAndFeelPainters, StdCtrls, cxButtons, cxCheckBox,
  siComp, siLngLnk, RzButton, RzRadChk, cxGraphics, cxLookAndFeels, Menus;

type
  TF_CreateRaiseQuery = class(TForm)
    RzPanel1: TRzPanel;
    cxLabel1: TcxLabel;
    bOK: TcxButton;
    bCancel: TcxButton;
    lng_Forms: TsiLangLinked;
    cbShowCreateRaiseQuery: TRzCheckBox;
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute: Boolean;
  end;

var
  F_CreateRaiseQuery: TF_CreateRaiseQuery;

implementation
uses USCS_Main, U_CAD, U_Common;

{$R *.dfm}

{ TF_CreateRaiseQuery }

function TF_CreateRaiseQuery.Execute: Boolean;
begin
  try
    Result := False;
    if ShowModal = mrOK then
    begin
      Result := True;
      ShowCreateRaiseQuery := cbShowCreateRaiseQuery.Checked;
    end;
  except
    on E: Exception do AddExceptionToLogEx('TF_CreateRaiseQuery.Execute', E.Message);
  end;
end;

end.
